Subject: RE: hop-by-hop and router alert options [Re: Question about use o f RSVP in Production Networks]

From: Tschofenig Hannes <[email-masked]>
Date: Wed, 11 Aug 2004 14:50:08 +0200

hi pekka, 

if you want to discover nodes somewhere along the path (between a particular
source and a destination address) then you have a limited number of choices.
the router alert option is one option and certainly not better or worse than
other options. 

do you have a suggestion how to accomplish the same functionality (as
required by rsvp or similar protocols) in a better fashion?

ciao
hannes

> On Tue, 10 Aug 2004, Fleischman, Eric wrote:
> > I am aware of some use of RSVP in labs but I am not aware 
> of any use 
> > of RSVP in production networks (i.e., real life networks people 
> > connect to the Internet with). Simultaneously, I am 
> encountering I-Ds 
> > and other work planning to use RSVP. This possible 
> disconnect concerns 
> > me. Therefore, I would appreciate being educated by anybody 
> using RSVP 
> > in production settings. Would you please let me know how 
> many devices, 
> > what applications, and how successful these deployments (if 
> any) are? 
> > Thank you.
> 
> I'd be interested about this as well, but also in more general.
> 
> I'd be in favor of deprecating the IP router alert option 
> completely.  
> Effectively this affects RSVP and MLD *).  I'd want to 
> similarly do away with the IPv6 Hop-by-Hop options.  At the 
> very least, I'd like to prevent further standardization of 
> these options.
> 
> The justification is simple: any "magic" packets which all 
> routers on the path must somehow examine and process seems a 
> very dubious concept when we want to avoid DoS attacks etc. 
> on the core equipment which must run on hardware: effectively 
> this means that either these are ignored in any case 
> (nullifying the use of such options), or put on a "slow path" 
> (causing a potential for DoS).  IMHO, it seems just simply 
> bad protocol design to require such behaviour.
> 
> I'm interested what others think about this.. :)
> 
> *) MLD should be relatively straight-forward to re-design 
> (just send the MLD reports to a link-local address which the 
> router is listening), or just keep it as is for now.  RSVP 
> can probably thrown away without many tears.
> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> 
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ietf
> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf